import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ChildComponent } from './child/child.component';
/*
Routteri on tässä oikeastaan täysin turha sillä ainoastaan
lapsikomponentti "routataan" äitikomponentin sisälle.
routerin ideana on vain se että osoitetaan että kommunikaatio servicen
välityksellä onnistuu vaikka lapsikomponentti ei ole suoraan
äitikomponentin sisällä vaan yhdistetty routterin kautta.
*/

const routes: Routes = [
  { path: '', component: ChildComponent },
  // muut polut vievät samaan komponenttiin
  { path: '**', redirectTo: '' }
];


@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
